SVN::Repos - Subversion repository functions require SVN::Core; require SVN::Repos; require SVN::Fs; my $repos = SVN::Repos::open ('/path/to/repos'); print $repos->fs->youngest_rev; SVN::Repos wraps the functions in svn_repos.h. The actual namespace for repos object is _p_svn_repos_t.

CONSTRUCTORS

METHODS
Please consult the svn_repos.h section in the Subversion API. Functions taking svn_repos_t * as the first inbound argument could be used as methods of the object returned by open or create. Chia-liang Kao <clkao@clkao.org> Copyright (c) 2003 CollabNet. All rights reserved. This software is licensed as described in the file COPYING, which you should have received as part of this distribution. The terms are also available at http://subversion.tigris.org/license-1.html. If newer versions of this license are posted there, you may use a newer version instead, at your option. This software consists of voluntary contributions made by many individuals. For exact contribution history, see the revision history and logs, available at http://subversion.tigris.org/.